;Sequence used by Pulsegen xx.s2s 
;It generates a trigger pulse on the digital marker channel followed by a sequence of 3 square pulses
;from Dac0, DAC1 and DAC2 in turn. Pulse amplitudes, durations and number of repetitions are sent from the script

            SET    0.1,1,0         ;0.1ms steps (i.e. 10kHz)

            VAR    V4,amplP0       ;pulse amplitudes
            VAR    V5,amplP1
            VAR    V6,amplP2

            VAR    V7,durP0        ;pulse durations
            VAR    V8,durP1
            VAR    V9,durP2

            VAR    V1,latency      ;intervals between pulses
            VAR    V2,gap01
            VAR    V3,gap12
            VAR    V10,swpend      ;delay from pulse2 to sweep end
            VAR    V11,reps        ;number of sweeps to do

        'a  DAC    0,0             ;set dacs to zero
            DAC    1,0
            DAC    2,0
            HALT   

        'b  MOV    V12,reps        ;load initial value of rep counter
Nxt:        MARK   0xff             ;add a trigger pulse to the digital marker channel
            DELAY  latency         ;pulse 0
            DAC    0,amplP0        ;amplitude
            DELAY  durP0           ;duration
            DAC    0,0             ;off

            DELAY  gap01           ;pulse 1
            DAC    1,amplP1        ;amplitude
            DELAY  durP1           ;duration
            DAC    1,0             ;off

            DELAY  gap12           ;pulse 2
            DAC    2,amplP2        ;amplitude
            DELAY  durP2           ;duration
            DAC    2,0             ;off
            DELAY  swpend
            DBNZ   V12,Nxt         ;loop
            HALT